crypt(3trf)

NAME
crypt - Password hashing based on "crypt"

SYNOPSIS
package require Tcl ?8.2?

package require Trf ?2.1.3?

crypt password salt

DESCRIPTION
The command crypt is an interface to the crypt(3) function for the encryption of passwords. An alternative command for the same, but based on md5 is md5crypt.

crypt password salt
    Encrypts the password using the specified salt and returns the generated hash value as the result of the command.

SEE ALSO
md5crypt, trf-intro

KEYWORDS
authentication, crypt, hash, hashing, mac, md5, message digest, password

COPYRIGHT
Copyright (c) 1996-2003, Andreas Kupries <andreas_kupries@users.sourceforge.net>